<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (1.8.0_181) on Fri Jun 07 20:47:12 BRT 2019 -->
<title>Aluno</title>
<meta name="date" content="2019-06-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Aluno";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../model/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Aluno.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?model/Aluno.html" target="_top">Frames</a></li>
<li><a href="Aluno.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">model</div>
<h2 title="Class Aluno" class="title">Class Aluno</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>model.Aluno</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Aluno</span>
extends java.lang.Object</pre>
<div class="block"><meta charset="utf-8">Essa classe é responsável pelo inserimento e pegada de valores que um aluno pode possuir,como: nome,curso,serie etc.
 É o modelo de dados que um aluno possui no projeto.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Everton Rocha e Eduarda Maria</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../model/Aluno.html#Aluno--">Aluno</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Aluno.html#getCurso--">getCurso</a></span>()</code>
<div class="block">Esse método é responsável por pegar o valor atual do atributo curso</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Aluno.html#getDataFalta--">getDataFalta</a></span>()</code>
<div class="block">Esse método é responsável por pegar o valor atual do atributo dataFalta</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Aluno.html#getFaltaMateria--">getFaltaMateria</a></span>()</code>
<div class="block">Esse método é responsável por pegar o valor atual do atributo faltaMateria</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Aluno.html#getFaltas--">getFaltas</a></span>()</code>
<div class="block">Esse método é responsável por pegar o valor atual do atributo faltas</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Aluno.html#getNome--">getNome</a></span>()</code>
<div class="block">Esse método é responsável por pegar o valor atual do atributo nome</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Aluno.html#getNumero--">getNumero</a></span>()</code>
<div class="block">Esse método é responsável por pegar o valor atual do atributo numero</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Aluno.html#getNumPais--">getNumPais</a></span>()</code>
<div class="block">Esse método é responsável por pegar o valor atual do atributo numPais</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Aluno.html#getSerie--">getSerie</a></span>()</code>
<div class="block">Esse método é responsável por pegar o valor atual do atributo serie</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Aluno.html#setCurso-java.lang.Object-">setCurso</a></span>(java.lang.Object&nbsp;object)</code>
<div class="block">Método responsável por inserir valor no atributo curso</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Aluno.html#setDataFalta-java.lang.String-">setDataFalta</a></span>(java.lang.String&nbsp;data)</code>
<div class="block">Método responsável por inserir valor no atributo dataFalta</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Aluno.html#setFaltaMateria-java.lang.String-">setFaltaMateria</a></span>(java.lang.String&nbsp;faltaMateria)</code>
<div class="block">Método responsável por inserir valor no atributo materia</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Aluno.html#setFaltas-java.lang.String-">setFaltas</a></span>(java.lang.String&nbsp;faltas)</code>
<div class="block">Método responsável por inserir valor no atributo faltas</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Aluno.html#setNome-java.lang.String-">setNome</a></span>(java.lang.String&nbsp;nome)</code>
<div class="block">Método responsável por inserir valor no atributo nome</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Aluno.html#setNumero-java.lang.String-">setNumero</a></span>(java.lang.String&nbsp;nc)</code>
<div class="block">Método responsável por inserir valor no atributo numero</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Aluno.html#setNumPais-java.lang.String-">setNumPais</a></span>(java.lang.String&nbsp;numPais)</code>
<div class="block">Método responsável por inserir valor no atributo numPais</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Aluno.html#setSerie-java.lang.Object-">setSerie</a></span>(java.lang.Object&nbsp;serie)</code>
<div class="block">Método responsável por inserir valor no atributo serie</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Aluno--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Aluno</h4>
<pre>public&nbsp;Aluno()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getNome--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNome</h4>
<pre>public&nbsp;java.lang.String&nbsp;getNome()</pre>
<div class="block">Esse método é responsável por pegar o valor atual do atributo nome</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>nome</dd>
</dl>
</li>
</ul>
<a name="setNome-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNome</h4>
<pre>public&nbsp;void&nbsp;setNome(java.lang.String&nbsp;nome)</pre>
<div class="block">Método responsável por inserir valor no atributo nome</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>String</code> - nome</dd>
</dl>
</li>
</ul>
<a name="getNumero--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNumero</h4>
<pre>public&nbsp;java.lang.String&nbsp;getNumero()</pre>
<div class="block">Esse método é responsável por pegar o valor atual do atributo numero</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>numero</dd>
</dl>
</li>
</ul>
<a name="setNumero-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNumero</h4>
<pre>public&nbsp;void&nbsp;setNumero(java.lang.String&nbsp;nc)</pre>
<div class="block">Método responsável por inserir valor no atributo numero</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>String</code> - nc</dd>
</dl>
</li>
</ul>
<a name="getCurso--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurso</h4>
<pre>public&nbsp;java.lang.String&nbsp;getCurso()</pre>
<div class="block">Esse método é responsável por pegar o valor atual do atributo curso</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>curso</dd>
</dl>
</li>
</ul>
<a name="setCurso-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCurso</h4>
<pre>public&nbsp;void&nbsp;setCurso(java.lang.Object&nbsp;object)</pre>
<div class="block">Método responsável por inserir valor no atributo curso</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>String</code> - object</dd>
</dl>
</li>
</ul>
<a name="getSerie--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSerie</h4>
<pre>public&nbsp;java.lang.String&nbsp;getSerie()</pre>
<div class="block">Esse método é responsável por pegar o valor atual do atributo serie</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>serie</dd>
</dl>
</li>
</ul>
<a name="setSerie-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSerie</h4>
<pre>public&nbsp;void&nbsp;setSerie(java.lang.Object&nbsp;serie)</pre>
<div class="block">Método responsável por inserir valor no atributo serie</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>String</code> - serie</dd>
</dl>
</li>
</ul>
<a name="getNumPais--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNumPais</h4>
<pre>public&nbsp;java.lang.String&nbsp;getNumPais()</pre>
<div class="block">Esse método é responsável por pegar o valor atual do atributo numPais</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>numPais</dd>
</dl>
</li>
</ul>
<a name="setNumPais-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNumPais</h4>
<pre>public&nbsp;void&nbsp;setNumPais(java.lang.String&nbsp;numPais)</pre>
<div class="block">Método responsável por inserir valor no atributo numPais</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>String</code> - numPais</dd>
</dl>
</li>
</ul>
<a name="getFaltaMateria--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFaltaMateria</h4>
<pre>public&nbsp;java.lang.String&nbsp;getFaltaMateria()</pre>
<div class="block">Esse método é responsável por pegar o valor atual do atributo faltaMateria</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>faltaMateria</dd>
</dl>
</li>
</ul>
<a name="setFaltaMateria-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFaltaMateria</h4>
<pre>public&nbsp;void&nbsp;setFaltaMateria(java.lang.String&nbsp;faltaMateria)</pre>
<div class="block">Método responsável por inserir valor no atributo materia</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>String</code> - faltaMateria</dd>
</dl>
</li>
</ul>
<a name="getDataFalta--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDataFalta</h4>
<pre>public&nbsp;java.lang.String&nbsp;getDataFalta()</pre>
<div class="block">Esse método é responsável por pegar o valor atual do atributo dataFalta</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>dataFalta</dd>
</dl>
</li>
</ul>
<a name="setDataFalta-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDataFalta</h4>
<pre>public&nbsp;void&nbsp;setDataFalta(java.lang.String&nbsp;data)</pre>
<div class="block">Método responsável por inserir valor no atributo dataFalta</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>String</code> - data</dd>
</dl>
</li>
</ul>
<a name="getFaltas--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFaltas</h4>
<pre>public&nbsp;java.lang.String&nbsp;getFaltas()</pre>
<div class="block">Esse método é responsável por pegar o valor atual do atributo faltas</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>faltas</dd>
</dl>
</li>
</ul>
<a name="setFaltas-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setFaltas</h4>
<pre>public&nbsp;void&nbsp;setFaltas(java.lang.String&nbsp;faltas)</pre>
<div class="block">Método responsável por inserir valor no atributo faltas</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>String</code> - faltas</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../model/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Aluno.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?model/Aluno.html" target="_top">Frames</a></li>
<li><a href="Aluno.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
